-- Deja Tweaks

--Register Events
local de = CreateFrame("Frame", "DejaErrorFrame")
	de:RegisterEvent("PLAYER_LOGIN")
	de:RegisterEvent("PLAYER_ENTERING_WORLD")
	de:RegisterEvent("ADDON_LOADED")
	de:RegisterEvent("PET_BATTLE_OVER")

--Slash Commands
	SlashCmdList['RELOADUI'] = function() ReloadUI() end
	SLASH_RELOADUI1 = '/rl'

	SlashCmdList["READYCHECK"] = function() DoReadyCheck() end
	SLASH_READYCHECK1 = '/rc'

	SlashCmdList["CHECKROLE"] = function() InitiateRolePoll() end
	SLASH_CHECKROLE1 = '/cr'

--Sell Junk
local selljunk = CreateFrame("Frame")
	selljunk:RegisterEvent("MERCHANT_SHOW")

selljunk:SetScript("OnEvent", function()  
local bag, slot
	for bag = 0, 4 do
		for slot = 0, GetContainerNumSlots(bag) do
			local link = GetContainerItemLink(bag, slot)
				if link and (select(3, GetItemInfo(link)) == 0) then
					UseContainerItem(bag, slot)
			end
		end
	end
end)

--Old Script
--Auto Repair
--function DVAutoRepair()
--local autoRepair = CreateFrame("Frame")
--	autoRepair:RegisterEvent("MERCHANT_SHOW")
--	autoRepair:SetScript("OnEvent", function() 
--		if(CanMerchantRepair()) then
--			local cost = GetRepairAllCost()
--			if GetMoney() >= cost then
--				RepairAllItems()
--				print(format("|cffead000Repair cost: %.2fg|r", cost * 0.0001))
--			elseif GetMoney() <cost then
--				 print("Insufficient funds to cover repair costs.")
--			end
--		end
--	end)
--end
	
--function DVGBankRepair()
local gbautoRepair = CreateFrame("Frame")
	gbautoRepair:RegisterEvent("MERCHANT_SHOW")
	gbautoRepair:SetScript("OnEvent", function() 
		if(CanMerchantRepair()) then
			local cost = GetRepairAllCost()
			local gbmoney = GetGuildBankMoney()
			if cost >0 and CanGuildBankRepair() then
				if GetGuildBankWithdrawMoney() >= cost and gbmoney >= cost then
					RepairAllItems(1)
					print(format("|cff00ff00Repair costs covered by Guild Bank: %.2fg|r", cost * 0.0001))
				elseif GetMoney() >= cost then
					RepairAllItems()
					print(format("|cffff0000Insufficient Guild Bank funds to cover repair costs.|r"))
					print(format("|cffffff00Repair costs covered by "..UnitName("player")..": %.2fg|r", cost * 0.0001))
				else
					print(format("|cffff0000Insufficient Guild Bank funds to cover repair costs.|r"))
					print(format("|cffff0000"..UnitName("player").."has insufficient funds to cover repair costs.|r"))
				end
			elseif cost >0 and GetMoney() >= cost then
				RepairAllItems()
				print(format("|cffffff00Repair costs covered by "..UnitName("player")..": %.2fg|r", cost * 0.0001))
			elseif GetMoney() < cost then
				print(format("|cffff0000"..UnitName("player").."has insufficient funds to cover repair costs.|r"))
			end
		end
	end)
--end
	
--Choonster's Spell Off Cursor Button
local b = CreateFrame("Button", "SpellStopTargetingButton", UIParent, "SecureActionButtonTemplate")
	b:SetAttribute("type", "stop")
	
--eAlign by Eurytus

SLASH_EA1 = "/align"

local f

SlashCmdList["EA"] = function()
	if f then
		f:Hide()
		f = nil		
	else
		f = CreateFrame('Frame', nil, UIParent) 
		f:SetAllPoints(UIParent)
		local size = 32
		local w = (GetScreenWidth() / size)
		local h = (GetScreenHeight() / size)
		
		--Vertical Red
		local vert = f:CreateTexture(nil, 'BACKGROUND')
		vert:SetWidth(2)
		vert:SetColorTexture(1, 0, 0, 0.5)
		vert:SetPoint('TOP', f, 'TOP', -1, 0)
		vert:SetPoint('BOTTOM', f, 'BOTTOM', 1, 0)
		--Vertical Positive
		for i = 1, w do
			local t = f:CreateTexture(nil, 'BACKGROUND')
			t:SetColorTexture(0, 0, 0, 0.5)
			t:SetPoint('TOP', f, 'TOP', (i * size) - 1, 0)
			t:SetPoint('BOTTOM', f, 'BOTTOM', (i * size) + 1, 0)
		end
		--Vertical Negative
		for i = 1, w do
			local t = f:CreateTexture(nil, 'BACKGROUND')
			t:SetColorTexture(0, 0, 0, 0.5)
			t:SetPoint('TOP', f, 'TOP', (-i * size) - 1, 0)
			t:SetPoint('BOTTOM', f, 'BOTTOM', (-i * size) + 1, 0)
		end
		
		--Horizontal Red
		local horiz = f:CreateTexture(nil, 'BACKGROUND')
		horiz:SetHeight(2)
		horiz:SetColorTexture(1, 0, 0, 0.5)
		horiz:SetPoint('LEFT', f, 'LEFT', 0, -1)
		horiz:SetPoint('RIGHT', f, 'RIGHT', 0, 1)
		--Horizontal Positive
		for i = 1, h do
			local t = f:CreateTexture(nil, 'BACKGROUND')
			t:SetColorTexture(0, 0, 0, 0.5)
			t:SetPoint('LEFT', f, 'LEFT', 0, (i * size) - 1)
			t:SetPoint('RIGHT', f, 'RIGHT', 0, (i * size) + 1)
		end
		--Horizontal Negative
		for i = 1, h do
			local t = f:CreateTexture(nil, 'BACKGROUND')
			t:SetColorTexture(0, 0, 0, 0.5)
			t:SetPoint('LEFT', f, 'LEFT', 0, (-i * size) - 1)
			t:SetPoint('RIGHT', f, 'RIGHT', 0, (-i * size) + 1)
		end	
	end
end
